package com.glxp.mipsdl.controller;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.glxp.mipsdl.req.yb.DictRequest;
import com.glxp.mipsdl.req.yb.Yljg1201Request;
import com.glxp.mipsdl.res.BaseResponse;
import com.glxp.mipsdl.service.yb.YbClient;
import com.glxp.mipsdl.util.ResultVOUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@RestController
public class YbApiController {
    @Resource
    YbClient ybClient;

    /**
     * 【1201】医药机构信息获取
     *
     * @param yljg1201Request
     * @return
     */
    @PostMapping("/udiwms/erp/yb/1201")
    public BaseResponse getYb1201(@RequestBody Yljg1201Request yljg1201Request) {
        String jsonStr = JSONUtil.toJsonStr(yljg1201Request);
        log.error("【1201】医药机构信息获取请求参数：" + jsonStr);
        return ResultVOUtils.success(ybClient.ybPost("1201", jsonStr));
    }


    /**
     * 通用字典下载接口
     */
    @PostMapping("/udiwms/erp/yb/dict")
    public BaseResponse getYb1301(@RequestBody DictRequest dictRequest) {
        String jsonStr = JSONUtil.toJsonStr(dictRequest.getData());
        log.error("【1301】通用字典下载接口请求参数：" + jsonStr);
        return ResultVOUtils.success(ybClient.ybPost(dictRequest.getApiCode(), jsonStr));
    }


}
